Holger's Java API

## com.antelmann.net
Class ServerLogFile.ServerLogEntryEnumerator

    java.lang.Object
      com.antelmann.util.AbstractIterator<ServerLogEntry>
          com.antelmann.net.ServerLogFile.ServerLogEntryEnumerator

All Implemented Interfaces:
  Closeable, Iterable<ServerLogEntry>, Enumeration<ServerLogEntry>, Iterator<ServerLogEntry>

Enclosing class:
  ServerLogFile

    protected class ServerLogFile.ServerLogEntryEnumerator

extends AbstractIterator<ServerLogEntry>

Constructor Summary
`protected` `ServerLogFile.ServerLogEntryEnumerator(Filter<ServerLogEntry> filter)`

Method Summary
`protected void` `finalize()`
`protected ServerLogEntry` `getNextElement()` if no more Element is available, this method is to return null or throw any Exception.

Methods inherited from class com.antelmann.util.AbstractIterator

`allowsNull, asIterable, close, concat, concat, convert, convert, count, currentElement, emptyEnumeration, emptyIterable, emptyIterator, enumerate, filter, filter, getAll, getCount, getEndCondition, getFilter, hasMoreElements, hasNext, iterate, iterate, iterator, list, list, list, list, monitor, monitor, next, nextElement, process, process, propagatesException, remove, reverseEnumeration, setAllowNull, setFilter, setPropagateException, sortEnumeration, sortEnumeration, stopIteration`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerLogFile.ServerLogEntryEnumerator

    protected ServerLogFile.ServerLogEntryEnumerator(Filter<ServerLogEntry> filter)

Method Detail

### finalize

    protected void finalize()
                     throws IOException

  Overrides:
    `finalize` in class `Object`
  Throws:
    `IOException`

### getNextElement

    protected ServerLogEntry getNextElement()
                                     throws Exception

  Description copied from class: `AbstractIterator`
  if no more Element is available, this method is to return null or throw any Exception. Errors (as opposed to Exceptions) are not caught, i.e. they would always be thrown directly and unwrapped during `next()`.

  Specified by:
    `getNextElement` in class `AbstractIterator<ServerLogEntry>`
  Throws:
    `Exception`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads